Machine Names
curl --request POST \
--url https://beaconcha.in/api/v2/machine-metrics/machine-names \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://beaconcha.in/api/v2/machine-metrics/machine-names"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://beaconcha.in/api/v2/machine-metrics/machine-names', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
"<string>"
]
}{
"error": "Bad request. Please check your input and try again."
}{
"error": "Unauthorized. Please provide a valid API key."
}{
"error": "endpoint not allowed for your subscription tier. upgrade your subscription at https://beaconcha.in/pricing."
}{
"error": "method not allowed: GET. all public API endpoints use POST."
}{
"error": "Rate limit exceeded. Please try again later."
}{
"error": "internal server error. please try again later."
}{
"error": "An unexpected error occurred."
}Machine Metrics
Machine Names
List all known machine names for the authenticated user. These are the names that were provided when pushing metrics
via the --monitoring-endpoint flag.
POST
/
api
/
v2
/
machine-metrics
/
machine-names
Machine Names
Authorizations
Body
application/json
The body is of type object.
Response
Successful response.
List of known machine names for the authenticated user.
Was this page helpful?
⌘I

